Search Results for

Show / Hide Table of Contents

# Class PathAnnotation.LineF

Describes two points in graph space and a line between them

##### Inheritance

System.Object
PathAnnotation.LineF

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Terminal.Gui.Graphs

###### Assembly: Terminal.Gui.dll

##### Syntax

    public class LineF

### Constructors

#### LineF(PointF, PointF)

Creates a new line between the points

##### Declaration

    public LineF(PointF start, PointF end)

##### Parameters

Type | Name | Description
--- | --- | ---
PointF | start |
PointF | end |

### Properties

#### End

The end point of the line

##### Declaration

    public PointF End { get; }

##### Property Value

Type | Description
--- | ---
PointF |

#### Start

The start of the line

##### Declaration

    public PointF Start { get; }

##### Property Value

Type | Description
--- | ---
PointF |